html,
body {
    width: 100%;
    height: 100%;
    font-family: inter;
}

/* ------------------------ Typography Import  */

@font-face {
    font-family: 'inter';
    src: url('fonts/Inter-VariableFont_slnt_wght.ttf');
}

em {
    font-variation-settings: "ital" 1;
}

/* Footnotes */

.footnote {
    float: footnote;
    font-family: serif;
}

::footnote-call {
    color: red;
}

::footnote-marker {
    color: lime;
}

/* ------------------------ Page Management */

@media print {

    @page {
        /* format */
        size: 130mm 200mm;

        /* Margin  */
        margin-top: 15mm;
        margin-left: 15mm;
        margin-right: 15mm;
        margin-bottom: 35mm;

        /* Color */
        color: black;
    }

    /* --------------  Main Content Management */

    #content {
        break-before: right;
        page: content;
    }

    h2 {
        string-set: title content(text);
    }

    @page content {

        /* ------------------------ Text Management */

        h1 {
            /* Block management */
            margin-top: 0;
            margin-bottom: 5mm;
            display: block;

            text-align: center;

            /* Typeface Management */
            font-weight: 900;
            font-size: 45pt;
            line-height: 1.20;

        }

        h2 {
            /* Block management */
            margin-top: 0;
            margin-bottom: 5mm;
            display: block;

            text-align: center;

            /* Typeface Management */
            font-weight: 900;
            font-size: 30pt;
            line-height: 1.20;
        }

        h3 {
            /* Block management */
            margin-top: 0;
            margin-bottom: 5mm;
            display: block;

            text-align: left;

            /* Typeface Management */
            font-weight: 900;
            font-size: 20pt;
            line-height: 1.20;
        }

        p {
            /* Block management */
            margin-top: 0;
            margin-bottom: 5mm;
            display: block;

            text-align: left;

            /* Typeface Management */
            font-weight: 400;
            font-size: 13pt;
            line-height: 1.20;
        }
    }

    /* pagination and running title */

    @page:right {

        @bottom-left {
            content: counter(page);
        }

        @bottom-right {
            content: "My title";
        }

    }

    @page:left {

        @bottom-left {
            content: counter(page);
        }

        @bottom-right {
            content: string(title);
            width: fit-content;
        }

    }
}